\section{Supplementary material}\label{sec:s1}

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% \subsection{Initial label distribution}
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

\begin{figure}
    \centering{}
    \includegraphics{figures/initial-labels-instant-equilibration.png}
    \caption{
        Time development of label distribution in \acrshort*{fbp} and \acrshort*{f6p} shown relative to the concentration of the respective metabolite.
        C1 to C6 denote the respective carbon atoms.
        Dashed lines are used to indicate that multiple label concentrations are identical.
    }
    \label{fig:initial-labels-instant-equilibration}
\end{figure}

Figure \ref{fig:initial-labels-instant-equilibration} shows the initial labelling patterns of \gls{fbp} and \gls{f6p} in the model variant using a rapid equilibrium assumption \cite{Poolman2000}.
None of the \fourthree{}, \onesix{} or \twofive{} asymmetries are visible, but instead the respective carbons are labelled equally.
\clearpage

\begin{figure}
    \centering{}
    \includegraphics[width=\textwidth,height=\textheight,keepaspectratio]{figures/initial-labels-all.png}
    \caption{
        Time development of label distribution in CBB cycle intermediates.
        The amount of labelled carbon is shown relative to the concentration of the respective metabolite.
    }
    \label{fig:initial-labels-all}
\end{figure}

\begin{figure}
    \centering{}
    \includegraphics{figures/initial-labels-sedo.png}
    \caption{
        Time development of label distribution in CBB cycle intermediates.
        The amount of labelled carbon is shown relative to the concentration of the respective metabolite.
    }
    \label{fig:initial-labels-sedo}
\end{figure}

Figure \ref{fig:initial-labels-all} shows the initial label distribution for all \gls{cbb} cycle intermediates in the model variant without the rapid equilibrium assumption for all metabolites not shown in \cref{fig:initial-labels}.
% Topic: 3c
The label patterns of the trioses \gls{pga}, \gls{bpga} and \gls{gap} are very similar, with the first carbon being labelled first followed by carbons three and two.
The label in the first position is a result of labelled \gls{co2} entering the cycle via \gls{rubisco}, thus the first carbon is labelled the quickest.
The second and third carbons require an entire pass through the \gls{cbb} cycle.
This pattern is flipped in \gls{dhap} with the third carbon being labelled first, followed by carbons one and two.
This is easily explainable with the reaction mechanism of \gls{tpi}, which exchanges the first and third carbon.
The similarity in the labelling patterns of the trioses shows their rapid interconversion.
% Topic: 4c
In \gls{e4p} the second carbon is labelled before the first and the fourth before the third.
This is a direct result of the asymmetries found in \gls{f6p}, as these carbons are derived from carbons three to six of \gls{f6p}, see \cref{fig:scheme}.
% Topic: 7c
In \gls{sbp} and \gls{s7p} the third carbon is labelled first, as it is derived from the third carbon of \gls{dhap}.
Carbons four and five show the \fourthree{} asymmetry found in \gls{f6p} passed through by \gls{e4p}, carbons six and seven correspond to the fifth and sixth carbon of \gls{f6p}.
Carbons one and two in \gls{sbp} are derived from \gls{dhap}, but in  in \gls{s7p} they can be derived from \gls{f6p} via \gls{x5p}.
This additional influx causes the first two carbons in \gls{s7p} to be labelled earlier than the ones  in \gls{sbp}, see \cref{fig:initial-labels-sedo}.
% Topic: 5c
Similarly to the trioses, the pentoses all show a very similar label pattern, which shows their rapid interconversion.
In all pentoses the third carbon is labelled first, which is primarily derived from \gls{gap} via \gls{tk}, see \cref{fig:scheme}.
The first and second carbons are labelled next, which are derived from the same carbons in \gls{f6p} again via \gls{tk}.
The fifth and fourth carbons are labelled last in the pentoses.
They are derived either from carbons two and three of \gls{gap} or from carbons six and seven from \gls{s7p}, which ultimately are also derived from \gls{gap}.
\clearpage

\begin{figure}
    \centering{}
    \includegraphics[width=0.99\linewidth]{figures/enzyme-scan-full.png}
    \caption{%
        F6P label asymmetries scan over perturbed enzyme concentrations of \acrshort{tpi} and \acrshort{tk}.
        The x-axis shows the perturbation factor and the y-axis the respective enzyme.}
    \label{fig:enzyme-scan-full}
\end{figure}

\cref{fig:enzyme-scan-full} shows the effect of each respective enzyme activity of all \gls{cbb} cycle enzymes on the \fourthree{}, \onesix{} and \twofive{} asymmetries in \gls{f6p} as a heatmap.
The color denotes the magnitude of the respective asymmetry.
Empty spaces denote failure of the system to reach steady state.
% C4/C3
The \fourthree{} asymmetry is mostly affected by \gls{tpi} which shows an antiproportional effect.
Both \gls{rubisco} and \gls{ald} slightly increase the \fourthree{} asymmetry, while \gls{sbpase} slightly decreases it.
% C1/C5 and C2/C6
The \twofive{} and \onesix{} are similarly affected by \gls{tpi} and mostly increased by \gls{tk}.
Increases in the activity of \gls{sbpase} and \gls{prk} strongly decrease both asymmetries.
As \gls{rubisco} does not decrease the asymmetries, a possible explanation for this is that \gls{sbpase} and \gls{prk} reduce the flux through the \gls{cbb} cycle.
This reduced flux allows for more interconversion by \gls{tk}.
\clearpage


%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% \subsection{Extended model}
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

\begin{figure}
    \centering{}
    \includegraphics[width=0.9\textwidth,height=0.8\textheight,keepaspectratio]{figures/extended-tk-full.png}
    \caption{%
    Relative change of the labelling of \gls{cbb} cycle intermediates dependent on the activity of extended \gls{tk} reactions.
    }
    \label{fig:scan-tk-full}
\end{figure}
\clearpage

\begin{figure}
    \centering{}
    \includegraphics[width=0.9\textwidth,height=0.8\textheight,keepaspectratio]{figures/extended-ald-full.png}
    \caption{%
    Relative change of the labelling of \gls{cbb} cycle intermediates dependent on the activity of extended \gls{ald} reactions.}
    \label{fig:scan-ald-full}
\end{figure}
\clearpage

\begin{figure}
    \centering{}
    \includegraphics[width=0.9\textwidth,height=0.8\textheight,keepaspectratio]{figures/extended-tk-ald-full.png}
    \caption{%
    Relative change of the labelling of \gls{cbb} cycle intermediates dependent on the activity of extended \gls{tk} and \gls{ald} reactions.}
    \label{fig:scan-tk-ald-full}
\end{figure}
\clearpage

% \begin{figure}
%     \centering{}
%     \includegraphics[width=0.99\linewidth]{schemes/fbp-34.png}
%     \caption{}
%     \label{fig:fbp-34}
% \end{figure}
% \clearpage

% \begin{figure}
%     \centering{}
%     \includegraphics[width=0.99\linewidth]{schemes/fbp-16.png}
%     \caption{}
%     \label{fig:fbp-16}
% \end{figure}
% \clearpage

% \begin{figure}
%     \centering{}
%     \includegraphics[width=0.99\linewidth]{schemes/fbp-25.png}
%     \caption{}
%     \label{fig:fbp-25}
% \end{figure}
% \clearpage

% \begin{figure}
%     \centering{}
%     \includegraphics[width=0.99\linewidth]{schemes/f6p-12.png}
%     \caption{}
%     \label{fig:f6p-12}
% \end{figure}
% \clearpage

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% Model variants
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

% \begin{figure}
%     \centering{}
%     % \includegraphics[width=0.99\linewidth]{figures/00-base.png}
%     \caption{}
%     \label{fig:00-base}
% \end{figure}
% \clearpage

% \begin{figure}
%     \centering{}
%     % \includegraphics[width=0.99\linewidth]{figures/01a-tk.png}
%     \caption{}
%     \label{fig:01a-tk}
% \end{figure}
% \clearpage

% \begin{figure}
%     \centering{}
%     % \includegraphics[width=0.99\linewidth]{figures/01b-tk-neutral.png}
%     \caption{}
%     \label{fig:01b-tk-neutral}
% \end{figure}
% \clearpage

% \begin{figure}
%     \centering{}
%     % \includegraphics[width=0.99\linewidth]{figures/03-ald.png}
%     \caption{}
%     \label{fig:03-ald}
% \end{figure}
% \clearpage

% \begin{figure}
%     \centering{}
%     % \includegraphics[width=0.99\linewidth]{figures/04-tr.png}
%     \caption{}
%     \label{fig:04-tr}
% \end{figure}
% \clearpage

% \begin{figure}
%     \centering{}
%     % \includegraphics[width=0.99\linewidth]{figures/05a-tk-ald.png}
%     \caption{}
%     \label{fig:05a-tk-ald}
% \end{figure}
% \clearpage

% \begin{figure}
%     \centering{}
%     % \includegraphics[width=0.99\linewidth]{figures/05b-tk-ald-neutral.png}
%     \caption{}
%     \label{fig:05b-tk-ald-neutral}
% \end{figure}
% \clearpage

% \begin{figure}
%     \centering{}
%     % \includegraphics[width=0.99\linewidth]{figures/05c-tk-ald-obpase.png}
%     \caption{}
%     \label{fig:05c-tk-ald-obpase}
% \end{figure}
% \clearpage

% \begin{figure}
%     \centering{}
%     % \includegraphics[width=0.99\linewidth]{figures/05d-tk-ald-obpase-neutral.png}
%     \caption{}
%     \label{fig:05d-tk-ald-obpase-neutral}
% \end{figure}
% \clearpage

% \begin{figure}
%     \centering{}
%     % \includegraphics[width=0.99\linewidth]{figures/06-ald-tr.png}
%     \caption{}
%     \label{fig:06-ald-tr}
% \end{figure}
% \clearpage

% \begin{figure}
%     \centering{}
%     % \includegraphics[width=0.99\linewidth]{figures/07a-tk-ald-tr.png}
%     \caption{}
%     \label{fig:07a-tk-ald-tr}
% \end{figure}
% \clearpage

% \begin{figure}
%     \centering{}
%     % \includegraphics[width=0.99\linewidth]{figures/07b-tk-ald-tr-neutral.png}
%     \caption{}
%     \label{fig:07b-tk-ald-tr-neutral}
% \end{figure}
% \clearpage

% \begin{figure}
%     \centering{}
%     % \includegraphics[width=0.99\linewidth]{figures/08a-tk-ald-tr-obpase.png}
%     \caption{}
%     \label{fig:08a-tk-ald-tr-obpase}
% \end{figure}
% \clearpage

% \begin{figure}
%     \centering{}
%     % \includegraphics[width=0.99\linewidth]{figures/08b-tk-ald-tr-obpase-neutral.png}
%     \caption{}
%     \label{fig:08b-tk-ald-tr-obpase-neutral}
% \end{figure}
% \clearpage

